# Message_Queue_T.h File Reference

`#include "ace/Message_Queue.h"`
`#include "ace/Synch_Traits.h"`
`#include "ace/Guard_T.h"`
`#include "ace/Message_Queue_T.cpp"`

Include dependency graph for Message_Queue_T.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Message_Queue<>
| A message queueing facility with parameterized synchronization capability. ACE_Message_Queue is modeled after the queueing facilities in System V STREAMs. More...
class | ACE_Message_Queue_Iterator<>
| Iterator for the ACE_Message_Queue. More...
class | ACE_Message_Queue_Reverse_Iterator<>
| Reverse Iterator for the ACE_Message_Queue. More...
class | ACE_Dynamic_Message_Queue<>
| A derived class which adapts the ACE_Message_Queue class in order to maintain dynamic priorities for enqueued <ace_message_blocks> and manage the queue order according to these dynamic priorities. More...
class | ACE_Message_Queue_Factory<>
| ACE_Message_Queue_Factory is a static factory class template which provides a separate factory method for each of the major kinds of priority based message dispatching: static, earliest deadline first (EDF), and minimum laxity first (MLF). More...
class | ACE_Message_Queue_Ex< ACE_MESSAGE_TYPE, >
| A threaded message queueing facility, modeled after the queueing facilities in System V STREAMs. More...

## Typedefs

typedef ACE_Message_Queue< ACE_SYNCH > | ACE_DEFAULT_MESSAGE_QUEUE_TYPE

## Detailed Description

Id
  Message_Queue_T.h,v 4.60 2006/02/10 10:04:03 jwillemsen Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

## Typedef Documentation

typedef ACE_Message_Queue<ACE_SYNCH> ACE_DEFAULT_MESSAGE_QUEUE_TYPE